*Figure 1:  External Labor Openness 1996-2012.
sort year
by year: sum ExternalLaborOpenness
*figure built in Excel using this information

*Table 2: Models of Inflows.
xtset ccode year
*model 2.1
reg Inflows l.ExternalLaborOpenness l.Population, cluster (ccode)
*model 2.2
xtreg Inflows l.ExternalLaborOpenness l.Population, fe cluster (ccode)
*model 2.3
xtreg Inflows l.Inflows l.ExternalLaborOpenness l.Population , fe cluster (ccode)
*model 2.4
xtreg d.Inflows l.Inflows d.ExternalLaborOpenness l.ExternalLaborOpenness d.Population l.Population, fe cluster (ccode)
nlcom _b[l.ExternalLaborOpenness]/ abs(_b[l.Inflows])
nlcom _b[l.Population]/ abs(_b[l.Inflows])

*Table 4: Difference in External Labor Openness Means.
ttest ExternalLaborOpenness, by (Parliamentary)
ttest ExternalLaborOpenness, by (PR)

*Table 5: Models of External Labor Openness.
*model 5.1
xtreg f.ExternalLaborOpenness ExternalLaborOpenness Parliamentary DistrictMagnitude , fe cluster (ccode)
*model 5.2
xtreg f.ExternalLaborOpenness ExternalLaborOpenness Parliamentary DistrictMagnitude Population Democracy GDPPCln LeftExecutive RightExecutive FarRight, fe cluster (ccode)
*model 5.3
xtreg f.ExternalLaborOpenness ExternalLaborOpenness Parliamentary                   Population Democracy GDPPCln LeftExecutive RightExecutive FarRight, fe cluster (ccode)
*model 5.4
xtreg f.ExternalLaborOpenness ExternalLaborOpenness               DistrictMagnitude Population Democracy GDPPCln LeftExecutive RightExecutive FarRight, fe cluster (ccode)

*Appendix 1: External Labor Openness by Country, 1996-2012
twoway (line ExternalLaborOpenness year) if ccode == 900 
twoway (line ExternalLaborOpenness year) if ccode == 305
twoway (line ExternalLaborOpenness year) if ccode == 211
twoway (line ExternalLaborOpenness year) if ccode == 355
twoway (line ExternalLaborOpenness year) if ccode == 20
twoway (line ExternalLaborOpenness year) if ccode == 155
twoway (line ExternalLaborOpenness year) if ccode == 316
twoway (line ExternalLaborOpenness year) if ccode == 390
twoway (line ExternalLaborOpenness year) if ccode == 366
twoway (line ExternalLaborOpenness year) if ccode == 375
twoway (line ExternalLaborOpenness year) if ccode == 220
twoway (line ExternalLaborOpenness year) if ccode == 255
twoway (line ExternalLaborOpenness year) if ccode == 350
twoway (line ExternalLaborOpenness year) if ccode == 310
twoway (line ExternalLaborOpenness year) if ccode == 205
twoway (line ExternalLaborOpenness year) if ccode == 666
twoway (line ExternalLaborOpenness year) if ccode == 325
twoway (line ExternalLaborOpenness year) if ccode == 740
twoway (line ExternalLaborOpenness year) if ccode == 732
twoway (line ExternalLaborOpenness year) if ccode == 212
twoway (line ExternalLaborOpenness year) if ccode == 70
twoway (line ExternalLaborOpenness year) if ccode == 210
twoway (line ExternalLaborOpenness year) if ccode == 920
twoway (line ExternalLaborOpenness year) if ccode == 385
twoway (line ExternalLaborOpenness year) if ccode == 290
twoway (line ExternalLaborOpenness year) if ccode == 235
twoway (line ExternalLaborOpenness year) if ccode == 360
twoway (line ExternalLaborOpenness year) if ccode == 365
twoway (line ExternalLaborOpenness year) if ccode == 317
twoway (line ExternalLaborOpenness year) if ccode == 349
twoway (line ExternalLaborOpenness year) if ccode == 230
twoway (line ExternalLaborOpenness year) if ccode == 380
twoway (line ExternalLaborOpenness year) if ccode == 225
twoway (line ExternalLaborOpenness year) if ccode == 640
twoway (line ExternalLaborOpenness year) if ccode == 200
twoway (line ExternalLaborOpenness year) if ccode == 2

*Appendix 2: Descriptive Statistics and Bivariate Correlations
sum    Inflows ExternalLaborOpenness Population Parliamentary PR DistrictMagnitude Democracy GDPPCln LeftExecutive RightExecutive FarRight if ExternalLaborOpenness~=.
pwcorr Inflows ExternalLaborOpenness Population Parliamentary PR DistrictMagnitude Democracy GDPPCln LeftExecutive RightExecutive FarRight if ExternalLaborOpenness~=., sig
